Skip to main content
GET
/
v1
/
refunds
List refunds
curl --request GET \
  --url https://api.plexospay.com/v1/refunds \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "re_abc123",
      "paymentIntentId": "<string>",
      "amount": "<string>",
      "currency": "CVE",
      "status": "PENDING",
      "reason": "<string>",
      "failureCode": "<string>",
      "failureMessage": "<string>",
      "operatorRefundId": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Query Parameters

limit
integer
default:20

Max items per page (1-100)

Required range: 1 <= x <= 100
starting_after
string

Cursor — ID of the last item from previous page

payment_intent_id
string

Response

200 - application/json

Paginated list of refunds

data
object[]
hasMore
boolean